%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Screensaver
Name:		gnome-screensaver
Version:	3.6.1
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.30
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.6
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.91
BuildRequires:	pkgconfig(gobject-2.0) >= 2.25.6
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.7
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:	pkgconfig(libgnomekbdui) >=  0.1
BuildRequires:	pkgconfig(x11) >= 1.0
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pam-devel
BuildRequires:	libxext-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libxxf86misc-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libxtst-devel
BuildRequires:	desktop-file-utils
Requires:	libxslt-proc
Requires:	dbus-x11
Suggests:	mageia-theme-screensaver

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%prep
%setup -q

%build
%configure2_5x \
	--with-systemd
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/*
%{_libexecdir}/gnome-screensaver-dialog
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/xdg/autostart/gnome-screensaver.desktop
%{_mandir}/man1/*.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307025
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297725
- new version 3.6.0

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279422
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 272020
- new version 3.5.4

* Tue Jul 17 2012 ovitters <ovitters> 3.4.4-1.mga3
+ Revision: 272008
- new version 3.4.4

* Wed Jul 11 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 269560
- new version 3.4.3

* Tue Jun 26 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 263782
- new version 3.4.2

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259818
- enable systemd

* Sat Apr 14 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 230808
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227022
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225380
- new version 3.3.92

* Sun Feb 26 2012 fwang <fwang> 3.2.2-1.mga2
+ Revision: 215033
- new version 3.2.2

* Fri Feb 10 2012 wally <wally> 3.2.1-1.mga2
+ Revision: 206920
- build without systemd support until mga2 is released
- new version 3.2.1
- clean .spec

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147896
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145414
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138553
- bump req of gnome-desktop
- new version 3.1.91
- new version 3.1.90
- new version 3.1.5

* Sat Jul 09 2011 cjw <cjw> 3.0.0-2.mga2
+ Revision: 121252
- rebuild against gnome-desktop3 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 102114
- New version 3.0.0

* Thu Jan 20 2011 pterjan <pterjan> 2.30.2-1.mga1
+ Revision: 26579
- Drop ia_ora stuff and old scriptlets
- imported package gnome-screensaver

